apache_response_headers
getallheaders
Fonctions Apache
PHP Manual

# apache_setenv

(PHP 4 >= 4.2.0, PHP 5)

apache_setenv — Modifie une variable de processus Apache

### Description

bool apache_setenv ( string `$variable` , string `$value` [, bool `$walk_to_top` = false ] )

apache_setenv() définit la valeur de la variable d'environnement Apache spécifiée par le paramètre `variable`.

> Note: Lors de la définition d'une variable d'environnement Apache, la variable $_SERVER correspondante n'est pas modifiée.

### Liste de paramètres

`variable`

  La variable d'environnement qui sera modifiée.

`value`

  La nouvelle valeur de `variable`.

`walk_to_top`

  Si passé à `TRUE`, assignation de la variable de haut niveau disponible pour toutes les couches d'Apache.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

### Exemples

Exemple #1 Exemple avec apache_setenv()

`<?php
apache_setenv("EXAMPLE_VAR", "Exemple de Valeur");
?>`

### Notes

> Note: apache_setenv() peut être utilisée conjointement à apache_getenv() à travers plusieurs pages ou pour définir des variables à passer aux fichiers inclus coté serveur (.shtml) via des scripts PHP.

### Voir aussi

- apache_getenv() - Lit une variable de processus Apache

apache_response_headers
getallheaders
Fonctions Apache
PHP Manual